Anonymous Login
2019-10-23 14:41 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001222v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reporteropto 
Assigned Toopto 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001222: system timezone bug (hardcoded to UTC)
Descriptionin earlier versions, the db was always in UTC.

from formatTZaware, it looks like db timezone is now system timezone as set at project installation or in sysadmin

The following function still assumes that system TZ is GMT (hardcoded):

public function convertToSystemTZ($datetime = '', $format = 'Y-m-d H:i:s')
    {
        $userTZ = $this->getPref('TIMEZONE');
        $userTimezone = new DateTimeZone($userTZ);

        $systemTimezone = new DateTimeZone('Europe/London');

        $ts = new DateTime($datetime, $userTimezone);
        $ts->setTimezone($systemTimezone);

        return $ts->format($format);
    }
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002729

opto (manager)

just checked, it is actually used in several places-> may solv 0001220 and others

~0002731

opto (manager)

one should pull head before reporting ....
+Notes

-Issue History
Date Modified Username Field Change
2012-11-26 09:14 opto New Issue
2012-11-26 09:18 opto Note Added: 0002729
2012-11-26 09:48 opto Note Added: 0002731
2012-11-26 09:48 opto Status new => resolved
2012-11-26 09:48 opto Resolution open => fixed
2012-11-26 09:48 opto Assigned To => opto
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History